Skip to main content

Starting March 27, 2026, RC is rebranded as Nexconn. Existing RC SDK customers can continue using this documentation. New customers should refer to the Nexconn developer documentation.

Query Chatroom Message Allowlist

Query the allowlist of message types in a chatroom.

Request Method

POST: https://Data Center Domain/chatroom/whitelist/query.json

Rate Limit: 100 requests per second

Signature Rule: All server API requests must be validated according to the rules. For details, see API Request Signature.

Request Method

None

Request Example

POST /chatroom/whitelist/query.json HTTP/1.1
Host: api.rong-api.com
App-Key: uwd1c0sxdlx2
Timestamp: 1408710653491
Nonce:14314
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/x-www-form-urlencoded

Response

The HTTP response body contains a JSON object with the following structure:

Return ValueReturn TypeDescription
codeNumberReturn code, 200 indicates success.
whitlistMsgTypeString[]Array of message types.

Response Example

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
"code":200,
"whitlistMsgType":["RC:ImgMsg","RC:ImgTextMsg","RC:VcMsg"]
}